LibreOffice LibreOffice 4.3 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Attributes | List of all members
osl::ClearableGuard< T > Class Template Reference

A helper class for mutex objects and interfaces. More...

`#include <mutex.hxx>`

Inheritance diagram for osl::ClearableGuard< T >:

## Public Member Functions
| ClearableGuard (T *pT_)
| Acquires the object specified as parameter. More...
| ClearableGuard (T &t)
| Acquires the object specified as parameter. More...
| ~ClearableGuard ()
| Releases the mutex or interface if not already released by clear(). More...
void | clear ()
| Releases the mutex or interface. More...

## Protected Attributes
T * | pT

## Detailed Description

### template<class T>
class osl::ClearableGuard< T >

A helper class for mutex objects and interfaces.

## Constructor & Destructor Documentation

template<class T >

osl::ClearableGuard< T >::ClearableGuard | ( | T * | pT_ | ) |
| inline

Acquires the object specified as parameter.

template<class T >

osl::ClearableGuard< T >::ClearableGuard | ( | T & | t | ) |
| inline

Acquires the object specified as parameter.

template<class T >

osl::ClearableGuard< T >::~ClearableGuard | ( |  | ) |
| inline

Releases the mutex or interface if not already released by clear().

## Member Function Documentation

template<class T >

void osl::ClearableGuard< T >::clear | ( |  | ) |
| inline

Releases the mutex or interface.

## Member Data Documentation

template<class T >

T* osl::ClearableGuard< T >::pT
| protected

The documentation for this class was generated from the following file:

- osl/mutex.hxx